<?xml version='1.0' encoding='UTF-8' ?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml"
      xmlns:h="http://xmlns.jcp.org/jsf/html"
      xmlns:p="http://primefaces.org/ui"
      xmlns:f="http://xmlns.jcp.org/jsf/core"
      xmlns:ui="http://xmlns.jcp.org/jsf/facelets">
    <h:head>
        <title>Torneo</title>
    </h:head>
    <h:body>
        <ui:include src="menutab.xhtml" />
        <br/>
        <p:fieldset legend="Añadir Torneo">
            <h:form id="formTorneo">
                <h:panelGrid columns="2">
                    <p:outputLabel value="Nombre Torneo"/>
                    <p:inputText value="#{torneoController.torneo.nombre}"/>
                    <p:outputLabel value="Fecha Inicio"/>
                    <p:calendar value="#{torneoController.torneo.fecha_inicio}" pattern="yyyy-MM-dd"/>
                    <p:outputLabel value="Fin de Torneo"/>
                    <p:calendar value="#{torneoController.torneo.fecha_fin}" pattern="yyyy-MM-dd"/>
                    <p:outputLabel value="Pais"/>
                    <p:selectOneMenu value="#{torneoController.pais.idpais}">
                        <f:selectItems value="#{paisController.lista}" var="pais" itemValue="#{pais.idpais}" itemLabel="#{pais.pais}"/>
                    </p:selectOneMenu>
                    <p:commandButton rendered="#{torneoController.torneo.nombre==null}" value="Enviar" actionListener="#{torneoController.insertar()}" update="formTorneo,:listaTorneo"/>
                    <p:commandButton rendered="#{torneoController.torneo.nombre!=null}" value="Actualizar" actionListener="#{torneoController.actualizar()}" update=":listaTorneo,formTorneo"/>
                </h:panelGrid>
            </h:form>
        </p:fieldset>
        <br/>
        <p:fieldset legend="Lista de Torneos">
            <h:form id="listaTorneo">
                <p:dataTable id="tabla" value="#{torneoController.lista}" var="ver" paginator="true" rows="5">
                    <p:column headerText="Id">
                        <p:outputLabel value="#{ver.idtorneo}"/>
                    </p:column>
                    <p:column headerText="Nombre">
                        <p:outputLabel value="#{ver.nombre}"/>
                    </p:column>
                    <p:column headerText="Inicio">
                        <p:outputLabel value="#{ver.fecha_inicio}">
                            <f:convertDateTime pattern="yyyy-MM-dd"/>
                        </p:outputLabel>
                    </p:column>
                    <p:column headerText="Final">
                        <p:outputLabel value="#{ver.fecha_fin}">
                            <f:convertDateTime pattern="yyyy-MM-dd"/>
                        </p:outputLabel>
                    </p:column>
                    <p:column>
                        <p:outputLabel value="#{ver.idpais.pais}"/>
                    </p:column>
                    <p:column headerText="Eliminar">
                        <p:commandButton value="Eliminar" actionListener="#{torneoController.eliminar(ver)}" update="listaTorneo"/>
                    </p:column>
                    <p:column headerText="Actualizar">
                        <p:commandButton value="Actualizar" actionListener="#{torneoController.consultarById(ver)}" update=":formTorneo"/>
                    </p:column>
                </p:dataTable>
            </h:form>
        </p:fieldset>
    </h:body>
</html>

